import { Metadata, Http } from '@zeedhi/core';
import { Table, LoadingService } from '@zeedhi/common';
import { OmDialogService } from '@/services/OmDialogService';

export class DbVersionController {
    public isVisibleOrganizationGrid = true;

    get isVisibleTag(): boolean {
        return !this.isVisibleOrganizationGrid;
    }

    get isVisibleDbVersionCard(): boolean {
        return !this.isVisibleOrganizationGrid;
    }

    public async organizationGridRowClick(params: any) {
        const table = Metadata.getInstance<Table>('dbVersionOrganizationTable');
        this.isVisibleOrganizationGrid = false;
        try {
            LoadingService.show();
            const data = await Http.get('/lastDbVersion?', { params: { NRORG: params.row.NRORG } });
            LoadingService.hide();
            const row = {
                NRORG: params.row.NRORG,
                NMORGANIZACAO: params.row.NMORGANIZACAO,
                NMRAZSOCIALORG: params.row.NMRAZSOCIALORG,
                DBVERSION: data.data.data[0].NRVEROBJBD,
            };
            table.datasource.data = [row];
        } catch (e) {
            LoadingService.hide();
            OmDialogService.showErrorBackend(e);
        }
    }

    public closeButtonDbVersionCard() {
       this.isVisibleOrganizationGrid = true;
    }
}
